Bug 225028 - System crash on suspend
System crash on suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-01-27 12:08 EST by Eric Buist
Modified: 2012-06-26 13:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:24:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Buist 2007-01-27 12:08:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); fr; rv:1.8.1.1) Gecko/20061208 Firefox/2.0.0.1

Description of problem:
My laptop crashes when I try to suspend-to-ram by closing the display lid, or  using pm-suspend. With Fedora Core 5, the laptop crashed when resuming from suspend. With FC6, it worked up to kernel 2.6.18-1.2869. With the new 2.6.19 kernel, the laptop crashes when I try to suspend-to-ram; it even does not enter into the stand-by mode. The system is frozen up and the only possible action is to press the power button five seconds, until the laptop powers down.
I am using a Dell Inspiron 6400.

Version-Release number of selected component (if applicable):
kerel-2.6.19-1.2895

How reproducible:
Always


Steps to Reproduce:
1. Put the laptop in suspend-to-ram by closing the lid, calling pm-suspend or any other way.
2. Wait until the laptop switches to suspend mode.


Actual Results:
The power led of the laptop remains green, the kernel accesses the hard drive, and everything blocks up. The keyboard and mouse are unusable. The only possible action is to press power button five seconds to power off the machine.

Expected Results:
The laptop should have switched to suspend-to-ram. After pressing the power button or opening the lid, it should come back to S0 mode, without crashing.

Additional info:
Suspend-to-ram is an important feature of a laptop, and it should work with Linux, not only Windows. An unreliable suspend-to-ram can result in losses of data and time. Laptop hard drives are slower than the hard drives in desktops, so the boot time is longer.
Maybe the best solution would be to integrate (a part of) swsusp2 in the kernel.
Comment 1 Jon Stanley 2008-01-07 20:51:43 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:24:27 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.